# working notes

- constructing artist catalogs from musiscbrainz api calls may be prohibitive
  - musicbrainz requests that a single source IP not make more than 1 QPS
  - going from artist name -> artist ID -> artist catalog requires making a linearly scaling number of requests with catalog size (some 20 requests for Taylor Swift, potentially) due to pagination

- alternatives to musicbrainz api
  - another api, like apple music
    - expensive
  - aggressive local caching with redis
    - still incurs startup cost to warm up cache
  - use a local copy of the musicbrainz database
    - manage postgres instance? copy data into sqlite?
